summaryrefslogtreecommitdiffstats
path: root/data
diff options
context:
space:
mode:
authorMichael Neves2013-05-14 17:27:35 +0200
committerMichael Neves2013-05-14 17:27:35 +0200
commit729cb9d21343687a2b0f9dcd08902bcb877349ce (patch)
tree7a62c21b8fdd836476d8059ca4a0220dbf4994e8 /data
parentvmware fixes (diff)
downloadtm-scripts-729cb9d21343687a2b0f9dcd08902bcb877349ce.tar.gz
tm-scripts-729cb9d21343687a2b0f9dcd08902bcb877349ce.tar.xz
tm-scripts-729cb9d21343687a2b0f9dcd08902bcb877349ce.zip
add ipxe
Diffstat (limited to 'data')
-rwxr-xr-xdata/install_server.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/data/install_server.sh b/data/install_server.sh
index ca67a6ed..597d056b 100755
--- a/data/install_server.sh
+++ b/data/install_server.sh
@@ -113,6 +113,44 @@ if [ "$ERR" -gt 0 ]; then
exit 1
fi
+echo " ##### Setup iPXE #######"
+
+mkdir -p /opt/ipxe
+cd /opt/ipxe
+git clone git://git.ipxe.org/people/mcb30/syslinux.git
+
+cd /opt/ipxe/syslinux
+git checkout ipxelinux
+
+cd /opt/ipxe/syslinux/ipxe/src
+make NO_WERROR=1
+ERR=$?
+if [ "$ERR" -gt 0 ]; then
+ echo "Fehler beim kompilieren von ipxe - Abbruch!"
+ exit 1
+fi
+
+cd /opt/ipxe/syslinux/ipxe
+
+# iPXE-Konfiguration einschreiben
+cat>pxelinux.ipxe<<HEREEND #
+#!ipxe
+set use-cached 1
+dhcp net0
+set net0.dhcp/next-server $SERVER_IP
+set net0.dhcp/filename ipxelinux.0
+imgload pxelinux.0
+boot pxelinux.0
+HEREEND
+
+make
+ERR=$?
+if [ "$ERR" -gt 0 ]; then
+ echo "Fehler beim kompilieren von ipxelinux.0 - Abbruch!"
+ exit 1
+fi
+
+cp ipxelinux.0 /srv/openslx/tftp
echo " ##### Klone das mltk repository ########"